Name:           gtkmm20
Version:        2.2.12
Release:        1
Epoch:          0
Summary:        A C++ interface for GTK2 (a GUI library for X).

Group:          System Environment/Libraries
License:        LGPL
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gtkmm/2.2/gtkmm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  libsigc++-devel >= 0:1.2.0
BuildRequires:  glib2-devel >= 0:2.2.0
BuildRequires:  atk-devel >= 0:1.2.0
BuildRequires:  pango-devel >= 0:1.1.0
BuildRequires:  gtk2-devel >= 0:2.2.0
BuildRequires:  m4
Obsoletes:      gtkmm2

%description
gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package        devel
Summary:        Headers for developing programs that will use %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       libsigc++-devel
Requires:       glib2-devel
Requires:       atk-devel
Requires:       pango-devel
Requires:       gtk2-devel
Requires:       m4
Requires:       pkgconfig
Obsoletes:      gtkmm2-devel

%description    devel
This package contains the static libraries and header files needed for
developing gtkmm applications.

%package        docs
Summary:        Documentation for %{name}, includes full API docs.
Group:          Documentation
Requires:       %{name}-devel = %{epoch}:%{version}-%{release}

%description    docs
This package contains the full API documentation for %{name}.  


%prep
%setup -q -n gtkmm-%{version}


%build
%configure --enable-static --enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT docs-to-include
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%{__mkdir} docs-to-include
%{__mv} ${RPM_BUILD_ROOT}%{_docdir}/gtkmm-2.0/* docs-to-include/
rm -f ${RPM_BUILD_ROOT}%{_datadir}/devhelp/books/gtkmm-2.0/*
 

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc CHANGES PORTING
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/gtkmm-2.0
%{_libdir}/pkgconfig/*.pc

%files docs
%defattr(-, root, root, -)
%doc docs-to-include/*


%changelog
* Mon Aug 21 2004 Denis Leroy <denis@poolshark.org> - 0:2.2.12-0.fdr.1
- Moved doc to regular doc directory
- Upgrade to 2.2.12
- Changed suffix to 20, added Obsolete tag for FC1->FC2 update

* Thu Oct 8 2003 Michael Koziarski <michael@koziarski.org> - 0:2.2.8-0.fdr.3
- Incorporated more of Michael Schwendt's Comments in fedora bug 727
- Seperate -docs package with devhelp support disabled.

* Tue Oct 7 2003 Michael Koziarski <michael@koziarski.org> - 0:2.2.8-0.fdr.2
- Split the documentation into a separate -docs package
- Included devhelp

* Sat Oct 4 2003 Michael Koziarski <michael@koziarski.org> - 0:2.2.8-0.fdr.1
- Incorporated Michael Schwendt's Comments in fedora bug 727
- Updated to 2.2.8

* Tue Sep 16 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:2.2.7-0.fdr.1
- Initial Fedora Release.
- Updated to 2.2.7.

* Fri Dec 6 2002 Gary Peck <gbpeck@sbcglobal.net> - 2.0.2-1
- Removed "--without docs" option and simplified the spec file since the
  documentation is included in the tarball now

* Thu Dec 5 2002 Walter H. van Holst <rpm-maintainer@fossiel.xs4all.nl> - 1.0.2
- Removed reference to patch
- Added the documentation files in %files

* Thu Oct 31 2002 Gary Peck <gbpeck@sbcglobal.net> - 2.0.0-gp1
- Update to 2.0.0

* Wed Oct 30 2002 Gary Peck <gbpeck@sbcglobal.net> - 1.3.26-gp3
- Added "--without docs" option to disable DocBook generation

* Sat Oct 26 2002 Gary Peck <gbpeck@sbcglobal.net> - 1.3.26-gp2
- Update to 1.3.26
- Spec file cleanups
- Removed examples from devel package
- Build html documentation (including a Makefile patch)

* Mon Oct 14 2002 Gary Peck <gbpeck@sbcglobal.net> - 1.3.24-gp1
- Initial release of gtkmm2, using gtkmm spec file as base
